Skip to navigation

Docs Users Add

Deprecated
View as Markdown

Allows an owner or editor to add users to a Paper doc or change their permissions using their email address or Dropbox account ID. The doc owner’s permissions cannot be changed. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the Paper Migration Guide for migration information.

Required scope: sharing.write

Endpoint format: RPC

Authentication: User

This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer

OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.

Public clients should use the authorization code flow with PKCE (S256).

For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional

Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.

Request

This endpoint expects an object.
doc_idstringRequired
The Paper doc ID.
memberslist of objectsRequired
User which should be added to the Paper doc. Specify only email address or Dropbox account ID.
custom_messagestring or nullOptional
A personal message that will be emailed to each successfully added member.
quietbooleanOptionalDefaults to false
Clients should set this to true if no email message shall be sent to added users.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
memberobject
One of specified input members.
Variant:
sharing_apiv2.MemberSelector.dropbox_idobject
Dropbox account, team member, or group ID of member.
resultobject
The outcome of the action on this member.
Variant:
paper_apiv2.AddPaperDocUserResult.successobject
User was successfully added to the Paper doc.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error